Skip to main content
DELETE
/
api
/
v1
/
puppet
/
{namespace}
/
{sessionId}
/
{agentName}
End agent runtime
curl --request DELETE \
  --url https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required

The session's namespace

sessionId
string
required

The session's ID

agentName
string
required

The agent's name

Response

Success